function compile_gcovsum_win()
%COMPILE_GGPR(GD) compuiles actual GGPR sources in directory GD
%   Detailed explanation goes here

    try
        % Clear MEX functions from memory
        clear mex
        % Compile it -DDEBUG -DOUTTEST
        nvmex -f nvmexopts_vs90.bat gcovsum.cu covSum.cu covSum_kernels.cu ggpr_kernels.cu -O -IC:\Devel\CUDA\v4.2\include -LC:\Devel\CUDA\v4.2\lib\x64 -lcudart -lnpp
        % nvmex -f nvmexopts_vs90.bat ggpr.cu covSum.cu ggpr_kernels.cu covSum_kernels.cu -O -IC:\Devel\CUDA\include -IC:\Devel\CULA\include -LC:\Devel\CULA\lib64 -lcula -LC:\Devel\CUDA\lib64 -lcudart -lcublas
    catch e
        fprintf ( 'caught %s (%s)\n', e.identifier, e.message );
    end
end

